MONGOC_CLIENT_NEW(3)

NAME
mongoc_client_new() - None

SYNOPSIS

mongoc_client_t *
mongoc_client_new (const char *uri_string);

Creates a new mongoc_client_t using the URI string provided.

PARAMETERS

uri_string
    A string containing the MongoDB connection URI.

RETURNS

A newly allocated mongoc_client_t if the URI parsed successfully, otherwise NULL \&.

SEE ALSO

mongoc_client_new_from_uri(3)

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.